from http.server import HTTPServer, BaseHTTPRequestHandler
import socket

class MyHTTPServer(BaseHTTPRequestHandler):
    def do_GET(self):
        s = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
        service = socket.gethostbyname('echoserver')
        print('Opening connection to echoserver...')
        s.connect((service, 12345))
        ret = s.recv(1024)
        self.send_response(200)
        self.send_header('Content-type', 'text/plain')
        self.end_headers()
        self.wfile.write(ret)

if __name__ == '__main__':
    server = HTTPServer(('', 8000), MyHTTPServer)
    print('HTTP Server started on port 8000.')
    server.serve_forever()
